# Copyright (C) 2010 Andras Petrik <bikmak@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 1, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

from xl import event
import gtk
import TrayButtons as tb

import traybuttonsprefs

TRAYBUTTONS = None

def get_prefs_pane():
    return traybuttonsprefs


def enable(exaile):
    if (exaile.loading):
        event.add_callback(_enable, 'exaile_loaded')
    else:
        _enable(None, exaile, None)
 
def _enable(eventname, exaile, nothing):    
    global TRAYBUTTONS
    if (TRAYBUTTONS == None) :
        TRAYBUTTONS = tb.TrayButtons(exaile)
    else :
        TRAYBUTTONS.enable()
    
    event.add_callback(TRAYBUTTONS.on_option_set, 'option_set')
    
    event.add_callback(TRAYBUTTONS.player_changed, 'playback_player_start')
    event.add_callback(TRAYBUTTONS.player_changed, 'playback_player_pause')
    event.add_callback(TRAYBUTTONS.player_changed, 'playback_player_end')
    event.add_callback(TRAYBUTTONS.player_changed, 'playback_player_resume')
    
    event.add_callback(TRAYBUTTONS.track_changed, 'playback_track_start')
    
def disable(exaile):
    event.remove_callback(_enable, 'exaile_loaded')
    TRAYBUTTONS.disable()
    
    event.remove_callback(TRAYBUTTONS.on_option_set, 'option_set')
    
    event.remove_callback(TRAYBUTTONS.player_changed, 'playback_player_start')
    event.remove_callback(TRAYBUTTONS.player_changed, 'playback_player_pause')
    event.remove_callback(TRAYBUTTONS.player_changed, 'playback_player_end')
    event.remove_callback(TRAYBUTTONS.player_changed, 'playback_player_resume')
    
    event.remove_callback(TRAYBUTTONS.track_changed, 'playback_track_start')
    