# Copyright (C) 2010 Andras Petrik <bikmak@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 1, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

from xl.nls import gettext as _
import os
from xlgui.prefs import widgets
from xl import event, transcoder

name = _("Tray Buttons")
basedir = os.path.dirname(os.path.realpath(__file__))
ui = os.path.join(basedir, "data/traybuttonsprefs_pane.ui")

class PauseVisiblePreference(widgets.CheckPrefsItem):
    default = True
    name = 'plugin/traybuttons/pause_visible'

class PreviousVisiblePreference(widgets.CheckPrefsItem):
    default = True
    name = 'plugin/traybuttons/previous_visible'

class NextVisiblePreference(widgets.CheckPrefsItem):
    default = True
    name = 'plugin/traybuttons/next_visible'
    
class StopVisiblePreference(widgets.CheckPrefsItem):
    default = False
    name = 'plugin/traybuttons/stop_visible'

class ShowTrackInformationPreference(widgets.CheckPrefsItem):
    default = False
    name = 'plugin/traybuttons/show_track_information'

class IconsReversedPreference(widgets.CheckPrefsItem):
    default = True
    name = 'plugin/traybuttons/icons_reversed'